package cn.com.infosec.crypto.io;

import cn.com.infosec.crypto.Digest;
import java.io.FilterInputStream;
import java.io.InputStream;

public class DigestInputStream extends FilterInputStream {
   protected Digest digest;

   public DigestInputStream(InputStream stream, Digest digest) {
      super(stream);
      this.digest = digest;
   }

   public int read() {
      int var1;
      if ((var1 = super.in.read()) >= 0) {
         this.digest.update((byte)var1);
      }

      return var1;
   }

   public int read(byte[] b, int off, int len) {
      if ((len = super.in.read(b, off, len)) > 0) {
         this.digest.update(b, off, len);
      }

      return len;
   }

   public Digest getDigest() {
      return this.digest;
   }
}
